import resolve from 'rollup-plugin-node-resolve';
import babel from 'rollup-plugin-babel';
import commonjs from 'rollup-plugin-commonjs';
import json from '@rollup/plugin-json'

const plugins = [
    resolve(),
    babel({
        exclude: 'node_modules/**', // 只编译我们的源代码
        presets: [
            ['@babel/preset-env', {
                modules: false,
                targets: {
                    node: 6
                }
            }]
        ]
    }),
    json(),
    commonjs({
    // non-CommonJS modules will be ignored, but you can also
        // specifically include/exclude files
        include: 'node_modules/**', // Default: undefined
        // these values can also be regular expressions
        // include: /node_modules/

        // search for files other than .js files (must already
        // be transpiled by a previous plugin!)

        // if true then uses of `global` won't be dealt with by this plugin
        ignoreGlobal: false, // Default: false

        // if false then skip sourceMap generation for CommonJS modules
        sourceMap: true // Default: true

    })
];
export default [{
    input: './src/index.js',
    output: {
        file: './dist/index.js',
        format: 'cjs'
    },
    plugins,
    sourceMap: true
}];