import path from 'path';
import prompts from 'prompts';
import spawn from 'cross-spawn';

export default async function createProject(type) {
    const response = await prompts([
        {
            type: 'text',
            name: 'name',
            message: '请输入项目名称: '
        }
    ]);
    if (!response.name) {
        await createProject(type);
    }
    create(response.name, type)
    return response.name;

}

function create(projectName,type) {
    const cliPath = path.resolve(__dirname, '../');
    if (type === 'vue') {
        const vueInit = spawn.sync(path.resolve(cliPath, './node_modules/.bin/vue'), ['create', projectName], { stdio: 'inherit' });
        if (vueInit.error) {
            // 抛错终止程序
            throw new Error(vueInit.error);
        }
    } else {
        const reactInit = spawn.sync(path.resolve(cliPath, './node_modules/.bin/create-react-app'), [projectName], { stdio: 'inherit' });
        if (reactInit.error) {
            // 抛错终止程序
            throw new Error(reactInit.error);
        }
    }
    
}
